package com.jeeplus.modules.sg.managementcenter.reserveManagement.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 储备项目，人员流转填写实体类
 */
public class PersonnelTurnover extends DataEntity<PersonnelTurnover> {

    //储备项目编号
    private String projectReserveId;
    //项目名称
    private String projectName;
    //设计单位人员
    private String designUnit;
    //项目经理审图
    private String projectManager;
    //技经人员审概算
    private String economicPersonnel;
    //运行单位审图
    private String operationUnit;
    //开启流程状态 0-未开启 1-开启
    private String openProcessStatus;
    //添加入库状态 0-入库前 1-已入库 2-入库退回 3-入库退回再入库
    private String addWareHousing;
    //项目甲供材清册状态
    private String materialsStatus;


    @ExcelField(title = "储备项目编号", align = 2, sort = 1)
    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    @ExcelField(title = "项目名称", align = 2, sort = 2)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @ExcelField(title = "设计单位人员", align = 2, sort = 3)
    public String getDesignUnit() {
        return designUnit;
    }

    public void setDesignUnit(String designUnit) {
        this.designUnit = designUnit;
    }

    @ExcelField(title = "项目经理审图", align = 2, sort = 4)
    public String getProjectManager() {
        return projectManager;
    }

    public void setProjectManager(String projectManager) {
        this.projectManager = projectManager;
    }

    @ExcelField(title = "技经人员审概算", align = 2, sort = 5)
    public String getEconomicPersonnel() {
        return economicPersonnel;
    }

    public void setEconomicPersonnel(String economicPersonnel) {
        this.economicPersonnel = economicPersonnel;
    }

    @ExcelField(title = "运行单位审图", align = 2, sort = 6)
    public String getOperationUnit() {
        return operationUnit;
    }

    public void setOperationUnit(String operationUnit) {
        this.operationUnit = operationUnit;
    }


    public String getOpenProcessStatus() {
        return openProcessStatus;
    }

    public void setOpenProcessStatus(String openProcessStatus) {
        this.openProcessStatus = openProcessStatus;
    }


    public String getAddWareHousing() {
        return addWareHousing;
    }

    public void setAddWareHousing(String addWareHousing) {
        this.addWareHousing = addWareHousing;
    }


    public String getMaterialsStatus() {
        return materialsStatus;
    }

    public void setMaterialsStatus(String materialsStatus) {
        this.materialsStatus = materialsStatus;
    }

}
